diff --git a/DataRows/makefile b/DataRows/makefile
index 4e0a312..ce261ab 100644
--- a/DataRows/makefile
+++ b/DataRows/makefile
@@ -22,16 +22,17 @@ LOCAL_OBJS = \
 	data_rows.o
 
 GLOBAL_OBJS = \
-	$(GLOBAL_DIR)/block_io.o \
-	$(GLOBAL_DIR)/par.o \
-	$(GLOBAL_DIR)/parse.o \
-	$(GLOBAL_DIR)/ref.o \
-	$(GLOBAL_DIR)/utility.o
+	block_io.o \
+	par.o \
+	parse.o \
+	ref.o \
+	utility.o
 
 DataRows.so: $(LOCAL_OBJS) $(GLOBAL_OBJS)
 	$(CC) $(SHARED_FLAGS) -o $@ $(CFLAGS) $(LFLAGS) \
 		$(LOCAL_OBJS) \
-		$(GLOBAL_OBJS)
+		$(GLOBAL_OBJS) \
+		$(PYTHON_LIB)
 
 local_objects: $(LOCAL_OBJS)
 
@@ -42,9 +43,13 @@ globals:
 	cd $(GLOBAL_DIR); $(MAKE) python_objects
 
 py_data_rows.o: py_data_rows.c
-	$(CC) -c $(CFLAGS) $(PYTHON_INCLUDE_DIR) $<
+	$(CC) -c $(CFLAGS) $(PIC) $(PYTHON_INCLUDE_DIR) $<
 
-.c.o:;	$(CC) -c $(CFLAGS) $<
+data_rows.o: data_rows.c
+	$(CC) -c $(CFLAGS) $(PIC) $<
+
+%.o: $(GLOBAL_DIR)/%.c
+	$(CC) -c $(CFLAGS) $(PIC) $<
 
 clean:
 	rm -f *.o
